package cn.iocoder.yudao.module.system.service.mqtt;

import cn.iocoder.yudao.module.system.api.path.PathApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Slf4j
public class PathPlanningDistributionTaskServiceImpl implements MqttService{

    @Resource
    private PathApi pathApi;

    /**
     * PP分配任务上报
     * @param message
     */
    @Override
    public void analysisMessage(String message) {
        log.info("PP上报任务分配 :{}", message);
        pathApi.ppDistributionTask(message);
    }
}
